"use strict";
var common_vendor = require("../../common/vendor.js");
require("../../stores/index.js");
var utils_common = require("../../utils/common.js");
var stores_modules_user = require("../../stores/modules/user.js");
require("../../stores/modules/tabIndex.js");
require("../../stores/modules/AIResponse.js");
require("../../stores/modules/rateLimit.js");
if (!Array) {
  const _easycom_wd_text2 = common_vendor.resolveComponent("wd-text");
  const _easycom_wd_button2 = common_vendor.resolveComponent("wd-button");
  const _easycom_wd_card2 = common_vendor.resolveComponent("wd-card");
  const _easycom_wd_status_tip2 = common_vendor.resolveComponent("wd-status-tip");
  const _easycom_wd_message_box2 = common_vendor.resolveComponent("wd-message-box");
  const _easycom_wd_toast2 = common_vendor.resolveComponent("wd-toast");
  (_easycom_wd_text2 + _easycom_wd_button2 + _easycom_wd_card2 + _easycom_wd_status_tip2 + _easycom_wd_message_box2 + _easycom_wd_toast2)();
}
const _easycom_wd_text = () => "../../uni_modules/wot-design-uni/components/wd-text/wd-text.js";
const _easycom_wd_button = () => "../../uni_modules/wot-design-uni/components/wd-button/wd-button.js";
const _easycom_wd_card = () => "../../uni_modules/wot-design-uni/components/wd-card/wd-card.js";
const _easycom_wd_status_tip = () => "../../uni_modules/wot-design-uni/components/wd-status-tip/wd-status-tip.js";
const _easycom_wd_message_box = () => "../../uni_modules/wot-design-uni/components/wd-message-box/wd-message-box.js";
const _easycom_wd_toast = () => "../../uni_modules/wot-design-uni/components/wd-toast/wd-toast.js";
if (!Math) {
  (NavBar + _easycom_wd_text + _easycom_wd_button + _easycom_wd_card + _easycom_wd_status_tip + _easycom_wd_message_box + _easycom_wd_toast)();
}
const NavBar = () => "../../components/NavBar.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "history",
  setup(__props) {
    const {
      yaoList
    } = common_vendor.storeToRefs(stores_modules_user.useUserStore());
    const message = common_vendor.useMessage();
    const toast = common_vendor.useToast();
    const delHistory = (index) => {
      message.confirm({
        title: "\u63D0\u793A",
        msg: "\u786E\u5B9A\u8981\u5220\u9664\u6B64\u6761\u8BB0\u5F55\u5417"
      }).then(() => {
        yaoList.value.splice(index, 1);
        toast.success("\u5220\u9664\u6210\u529F");
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          title: "\u5386\u53F2\u8BB0\u5F55"
        }),
        b: common_vendor.unref(yaoList).length
      }, common_vendor.unref(yaoList).length ? {
        c: common_vendor.f(common_vendor.unref(yaoList), (item, index, i0) => {
          return common_vendor.e({
            a: "101dd8d4-2-" + i0 + "," + ("101dd8d4-1-" + i0),
            b: common_vendor.p({
              text: `${item.symbol1}\u53D8${item.symbol2}`,
              color: "#333",
              size: "32rpx",
              bold: true
            }),
            c: item.q
          }, item.q ? {
            d: "101dd8d4-3-" + i0 + "," + ("101dd8d4-1-" + i0),
            e: common_vendor.p({
              text: `\u5360${item.q}\u8BE6\u89E3`,
              color: "#333",
              size: "32rpx",
              bold: true
            })
          } : {}, {
            f: "101dd8d4-4-" + i0 + "," + ("101dd8d4-1-" + i0),
            g: common_vendor.p({
              text: item.result
            }),
            h: "101dd8d4-5-" + i0 + "," + ("101dd8d4-1-" + i0),
            i: common_vendor.p({
              text: common_vendor.unref(utils_common.formatDate)(new Date(item.time))
            }),
            j: common_vendor.o(($event) => delHistory(index)),
            k: "101dd8d4-6-" + i0 + "," + ("101dd8d4-1-" + i0),
            l: index,
            m: "101dd8d4-1-" + i0
          });
        }),
        d: common_vendor.p({
          size: "small",
          type: "error",
          plain: true
        }),
        e: common_vendor.p({
          type: "rectangle"
        })
      } : {
        f: common_vendor.p({
          image: "https://asstes.snhaenigseal.cn/images/wot/content.png",
          tip: "\u6682\u65E0\u5185\u5BB9"
        })
      });
    };
  }
});
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-101dd8d4"], ["__file", "D:/\u7F51\u6291\u4E91Time/\u79C1\u6D3B/2000\u7B97\u5366/src/pages/user/history.vue"]]);
wx.createPage(MiniProgramPage);
